org.apache.solr.common.util

## Interface JavaBinCodec.ObjectResolver

Enclosing class:
  JavaBinCodec

    public static interface JavaBinCodec.ObjectResolver

Allows extension of `JavaBinCodec` to support serialization of arbitrary data types.

Implementors of this interface write a method to serialize a given object using an existing `JavaBinCodec`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `resolve(Object o, JavaBinCodec codec)` Examine and attempt to serialize the given object, using a `JavaBinCodec` to write it to a stream.

### Method Detail

#### resolve

    Object resolve(Object o,
                   JavaBinCodec codec)
            throws IOException

Examine and attempt to serialize the given object, using a `JavaBinCodec` to write it to a stream.

Parameters:
  `o` - the object that the caller wants serialized.
  `codec` - used to actually serialize `o`.
Returns:
  the object `o` itself if it could not be serialized, or `null` if the whole object was successfully serialized.
Throws:
  `IOException`
See Also:
  `JavaBinCodec`